Digital Human Tasks
curl --request POST \
--url https://api.acedata.cloud/digital-human/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve_batch",
"task_id": "task_49af42c410c24f04ad416b28af55d237",
"id": "<string>"
}
'import requests
url = "https://api.acedata.cloud/digital-human/tasks"
payload = {
"action": "retrieve_batch",
"task_id": "task_49af42c410c24f04ad416b28af55d237",
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'retrieve_batch',
task_id: 'task_49af42c410c24f04ad416b28af55d237',
id: '<string>'
})
};
fetch('https://api.acedata.cloud/digital-human/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "task_...",
"trace_id": "...",
"state": "succeed",
"progress": 100,
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"duration": 17.2,
"width": 1280,
"height": 720,
"engine": "latentsync"
}{
"error": {
"code": "no_task",
"message": "task not found"
},
"trace_id": "..."
}API Reference
Digital Human Tasks
POST
/
digital-human
/
tasks
Digital Human Tasks
curl --request POST \
--url https://api.acedata.cloud/digital-human/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve_batch",
"task_id": "task_49af42c410c24f04ad416b28af55d237",
"id": "<string>"
}
'import requests
url = "https://api.acedata.cloud/digital-human/tasks"
payload = {
"action": "retrieve_batch",
"task_id": "task_49af42c410c24f04ad416b28af55d237",
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'retrieve_batch',
task_id: 'task_49af42c410c24f04ad416b28af55d237',
id: '<string>'
})
};
fetch('https://api.acedata.cloud/digital-human/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "task_...",
"trace_id": "...",
"state": "succeed",
"progress": 100,
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"duration": 17.2,
"width": 1280,
"height": 720,
"engine": "latentsync"
}{
"error": {
"code": "no_task",
"message": "task not found"
},
"trace_id": "..."
}承認
API token from https://platform.acedata.cloud
ボディ
application/json
- Option 1
- Option 2
- Option 3
Use one ID for polling, retrieve, or delete. Use action=retrieve_batch without an ID to list recent history. To retrieve a chosen set of IDs, send individual retrieve requests.
レスポンス
OK
- Option 1
- Option 2
- Option 3
- Option 4
Flat task result when action is omitted. Video or voice output fields appear when available.

